NetBeans Portlet Plugin Release Notes

NetBeans Portlet Plugin Release Notes


The NetBeans Portlet Plugin software includes a plugin for the Portlet Container 1.0 software bundled with the Java Application Platform SDK Update 3 Preview 2 release.

Note: Also see the NetBeans Portlet Plugin Installation Instructions for Java Application Platform SDK Update 3 Preview 2 and read Developing Portlets with the NetBeans Portlet.

Contents

 
System Requirements
Configuration Information
Limitations
 

System Requirements


Supported Operating Systems

The NetBeans IDE 5.5 software runs on operating systems that support the Java VM. The NetBeans Portlet Plugin software has been tested on these platforms:

  • Microsoft Windows XP Professional SP2 or newer
  • Mac OS X 10.4.5 or newer
  • Red Hat Fedora Core 3
  • Solaris 10 Operating System (Solaris OS) 7/05 (SPARC® and x86/x64 Platform Edition)

The NetBeans Portlet Plugin software also runs on the following platforms:

  • Microsoft Windows 2000 Professional SP4

  • Solaris 8 OS (SPARC and x86/x64 Platform Edition) and Solaris 9 OS (SPARC and x86/x64 Platform Edition)
  • Various other Linux distributions

Required Software

  • The NetBeans Portlet Plugin software runs on NetBeans IDE 5.5 or higher.

Configuration Information


  • The NetBeans Portlet Plugin software has the same configuration requirements as the NetBeans IDE 5.5 software.

Known Limitations


  • The NetBeans Portlet Plugin software cannot be used to deploy portlets when when the Portlet Container 1.0 driver is remote.
  • Removing the base-psframework causes NetBeans to hang.
  • Deleting a portlet application, does not delete the lib directory.
  • Deleting a portlet Java file from a portlet application doesn't delete portlet entry from portlet.xml.
Left Curve
Java SDKs and Tools
Right Curve
Left Curve
Java Resources
Right Curve